import org.junit.Test;
import static org.junit.Assert.*;

/** Tests the sort class.
 *  We want to experience the pain of ad hoc testing.
 *  @author Josh Hug
 */

public class TestSort {

	/** Tests the Sort.indexOfSmallest method 
	 */
	@Test
	public void testIndexOfSmallest() {
		String[] input = new String[]{"potato", "is", "our", "god"};
		int actual = Sort.indexOfSmallest(input, 0);
		int expected = 3;
		assertEquals(expected, actual); 

		actual = Sort.indexOfSmallest(input, 2);
		expected = 3;
		assertEquals(expected, actual); 

		input = new String[]{"cat", "bat", "horse", "dog"};
		actual = Sort.indexOfSmallest(input, 1);
		expected = 1;
		assertEquals(expected, actual); 

		actual = Sort.indexOfSmallest(input, 2);
		expected = 3;
		assertEquals(expected, actual);
	}

	/** Tests the Sort.sort method.
	 */
	@Test /*@ indicates a comment for machines */
	public void testSort() {
		//something ----> Sort.sort ----> is what I expect
		String[] input = new String[]{"potato", "is", "our", "god"};
		String[] expected = new String[]{"god", "is", "our", "potato"};
		Sort.sort(input); 

		/* We want to compare input to expected, and if they do not match,
		   we want to ... warn the person running this test with a print
		   statement */
		assertArrayEquals(expected, input);
	}

	/** Tests the sort class.
	 */

	public static void main(String[] args) {
		//testSort();
		//testIndexOfSmallest();
	
		/* We want a function that finds all methods that are tests,
		   runs them, and provides a cool little report */
		System.exit(ucb.junit.textui.runClasses(TestSort.class));
	}
} 